package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailFundNavDO;
import com.simuwang.base.pojo.dos.EmailParseDetailDO;
import com.simuwang.base.pojo.dto.query.ParseDetailPageQuery;
import com.simuwang.base.pojo.vo.EmailFundNavVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailFundNavMapper {

    void batchInsert(@Param("itemDoList") List<EmailFundNavDO> emailFundNavDOList);

    List<EmailFundNavDO> searchNavDetail(ParseDetailPageQuery parseDetailPageQuery);

    long countNavDetail(ParseDetailPageQuery parseDetailPageQuery);

    Integer countNoStoreNav(@Param("fundName") String sourceFundName,@Param("registerNumber") String registerNumber);

    List<Integer> selectFileIdByFundName(@Param("fundName") String sourceFundName,@Param("registerNumber") String registerNumber);

    void deleteByFileId(@Param("fileId") Integer fileId);

    List<EmailFundNavDO> selectNotMappingNav(@Param("fundName") String sourceFundName,@Param("registerNumber") String registerNumber);

    void batchUpdate(@Param("navList") List<EmailFundNavDO> fundNavDOList);

    String getMaxPriceDate(@Param("fundName")String sourceFundName);

    List<EmailParseDetailDO> selectFundNavByFielId(@Param("fileId") Integer fileId, @Param("priceDate") String priceDate);

    List<EmailFundNavDO> selectNavByFundId(@Param("fundId") String sourceFundId);

    Long countEmailNavTotal();
}
