package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.pojo.vo.EmailTemplateApplicationRuleVO;
import lombok.Data;

import java.util.Date;

@Data
@TableName("email_template_application_rule")
public class EmailTemplateApplicationRuleDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 模版id(email_template_info.id)
     */
    @TableId(value = "template_id")
    private Integer templateId;
    /**
     * 字段类型：1-邮件标题，2-附件名称，3-表格内容
     */
    @TableId(value = "type")
    private Integer type;
    /**
     * 表格行
     */
    @TableId(value = "row")
    private Integer row;
    /**
     * 表格列
     */
    @TableId(value = "column")
    private String column;
    /**
     * 包含关键字(多个以英文逗号隔开)
     */
    @TableId(value = "contain_keyword")
    private String containKeyword;
    /**
     * 不包含关键字(多个以英文逗号隔开)
     */
    @TableId(value = "not_contain_keyword")
    private String notContainKeyword;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;

    public EmailTemplateApplicationRuleVO toVO() {
        EmailTemplateApplicationRuleVO vo = new EmailTemplateApplicationRuleVO();
        vo.setId(this.id);
        vo.setTemplateId(this.templateId);
        vo.setRow(this.row);
        vo.setType(this.type);
        vo.setColumn(this.column);
        vo.setContainKeyword(this.containKeyword);
        vo.setNotContainKeyword(this.notContainKeyword);
        return vo;
    }
}
