package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.pojo.vo.EmailTemplateMappingVO;
import lombok.Data;

import java.util.Date;

@Data
@TableName("email_template_mapping")
public class EmailTemplateMappingDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 模版id(email_template_info.id)
     */
    @TableId(value = "template_id")
    private Integer templateId;
    /**
     * 标题名称
     */
    @TableId(value = "title")
    private String title;
    /**
     * 邮箱地址
     */
    @TableId(value = "email")
    private String email;
    /**
     * 公司ID
     */
    @TableId(value = "company_id")
    private String companyId;
    /**
     * 公司名称
     */
    @TableId(value = "company_name")
    private String companyName;
    /**
     * 备注
     */
    @TableId(value = "description")
    private String description;
    /**
     * 状态：0-关闭，1-开启
     */
    @TableId(value = "status")
    private Integer status;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;

    /**
     * 模版名称
     */
    private String templateName;

    public EmailTemplateMappingVO toVO() {
        EmailTemplateMappingVO vo = new EmailTemplateMappingVO();
        vo.setTemplateId(this.templateId);
        vo.setId(this.id);
        vo.setCompanyName(this.companyName);
        vo.setTitle(this.title);
        vo.setTemplateName(this.templateName);
        vo.setStatus(this.status);
        vo.setEmail(this.email);
        vo.setCompanyId(this.companyId);
        return vo;
    }
}
