package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: FundReportFrequency
 * Author:   chenjianhua
 * Date:     2024/9/6 14:21
 * Description: ${DESCRIPTION}
 */
@Data
@TableName("fund_report_frequency")
public class FundReportFrequencyDO {
    /**
     * 主键Id
     */
    @TableId(value = "id",type= IdType.AUTO)
    private Integer id;
    /**
     * 基金ID
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 净值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频,-1无固定
     */
    @TableField(value = "nav_frequency")
    private Integer navFrequency;
    /**
     * 规模报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频,-1无固定
     */
    @TableField(value = "asset_frequency")
    private Integer assetFrequency;
    /**
     * 估值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频,-1无固定
     */
    @TableField(value = "valuation_frequency")
    private Integer valuationFrequency;
    /**
     * 频率备注
     */
    @TableField(value = "frequency_remark")
    private String frequencyRemark;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
    /**
     * 有效标识
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
}
