package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("valuation_table")
public class ValuationTableDO {
    /**
     * 主键id，估值表id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 文件id
     */
    @TableField(value = "file_id")
    private Integer fileId;
    /**
     * 基金id
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 估值表标题
     */
    @TableField(value = "title")
    private String title;
    /**
     * 估值日期
     */
    @TableField(value = "valuation_date")
    private Date valuationDate;
    /**
     * 单位净值
     */
    @TableField(value = "nav")
    private BigDecimal nav;
    /**
     * 估值表头部信息
     */
    @TableField(value = "head_info")
    private String headInfo;
    /**
     * 估值表尾部信息
     */
    @TableField(value = "tail_info")
    private String tailInfo;
    /**
     * 原文件名称
     */
    @TableField(value = "original_file")
    private String originalFile;
    /**
     * pdf转化为excel文件的路径
     */
    @TableField(value = "converted_file")
    private String convertedFile;
    /**
     * 文件保存路径
     */
    @TableField(value = "file_url")
    private String fileUrl;
    /**
     * 类型：1-赢时胜，2-恒生，3-金证，4-百航，5-通用
     */
    @TableField(value = "table_type")
    private Integer tableType;
    /**
     * 是否完成分析：1-完成，0-未完成
     */
    @TableField(value = "is_analyzed")
    private Integer isAnalyzed;
    /**
     * 估值表导入的总市值
     */
    @TableField(value = "total_market_value")
    private BigDecimal totalMarketValue;
    /**
     * 资产净值（单位：元）
     */
    @TableField(value = "net_assets_value")
    private BigDecimal netAssetsValue;
    /**
     * 估值增值
     */
    @TableField(value = "increment")
    private BigDecimal increment;
    /**
     * 估值表来源：1-邮件
     */
    @TableField(value = "from_email")
    private Integer fromEmail;
    /**
     * 是否包含股票：0-否，1-是
     */
    @TableField(value = "has_stock")
    private Integer hasStock;
    /**
     * 是否包含债券：0-否，1-是
     */
    @TableField(value = "has_bond")
    private Integer hasBond;
    /**
     * 是否包含期货：0-否，1-是
     */
    @TableField(value = "has_future")
    private Integer hasFuture;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}