package com.simuwang.base.pojo.dos.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:40
 * @description 基金份额变动情况
 */
@Setter
@Getter
@TableName("amac_report_share_change")
public class ReportShareChangeDO extends BaseReportDO {
    /**
     * 报告期期初基金份额总额
     */
    private BigDecimal initTotalShares;
    /**
     * 基金分级
     */
    private String level;
    /**
     * 减: 报告期期间基金总赎回份额
     */
    private BigDecimal redemption;
    /**
     * 期末基金总份额/期末基金实缴总额
     */
    private BigDecimal sharePerAsset;
    /**
     * 报告期期间基金拆分变动份额
     */
    private BigDecimal split;
    /**
     * 报告期期间基金总申购份额
     */
    private BigDecimal subscription;
}
