package com.simuwang.base.pojo.dto.report;

import com.smppw.common.pojo.enums.status.StatusCode;

public enum ReportParseStatus implements StatusCode {
    PARSE_FAIL(21000, "定期报告解析错误：{}"),
    NOT_A_REPORT(21001, "[{}]不是定期报告"),
    REPORT_IS_SCAN(21002, "报告[{}]为扫描件"),
    NO_SUPPORT_TEMPLATE(21003, "报告[{}]是不支持的文件格式"),
    NOT_A_FIXED_FORMAT(21004, "报告[{}]不是基协统一格式"),

    PARSE_FUND_INFO_FAIL(21010, "报告[{}]没有解析到基金基本信息"),
    PARSE_NAV_INFO_FAIL(21011, "报告[{}]没有解析到基金净值信息"),
    PARSE_FINANCIAL_INFO_FAIL(21012, "报告[{}]没有解析到基金财务指标信息"),
    PARSE_INDUSTRY_INFO_FAIL(21013, "报告[{}]没有解析到基金行业配置信息"),
    PARSE_ASSET_INFO_FAIL(21014, "报告[{}]没有解析到基金资产配置信息"),
    PARSE_SHARE_INFO_FAIL(21015, "报告[{}]没有解析到基金份额变动信息"),
    ;
    private final int code;
    private final String msg;

    ReportParseStatus(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return this.code;
    }

    @Override
    public String getMsg() {
        return this.msg;
    }
}
