package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: FundInformation
 * Author:   chenjianhua
 * Date:     2024/9/6 11:34
 * Description: ${DESCRIPTION}
 */
@Data
public class FundInfoVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 父级产品ID
     */
    private String pFundId;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金全称
     */
    private String fundName;
    /**
     * 基金简称
     */
    private String fundShortName;
    /**
     * 基金类型:1-信托计划，2-有限合伙（已废弃），3-券商资管，4-公募专户，5-单账户，6-证券投资基金，7-海外基金，8-期货资管，9-保险资管、10-创业投资基金、11-股权投资基金、12-银行理财、13-类固收信托（已废弃） 、 14-私募资产配置基金 15公募基金 -1其他投资基金
     */
    private Integer fundType;
    /**
     * 管理类型：1-顾问管理，2-受托管理，3-自我管理
     */
    private Integer managerType;
    /**
     * 基础货币,1-人民币，2-港币，3-美元，4-份，-1-其他
     */
    private Integer baseCurrency;
    /**
     * 成立日期
     */
    private String inceptionDate;
    /**
     * 投资顾问Id
     */
    private String advisorId;
    /**
     * 发行人id
     */
    private String issuerId;
    /**
     * 发行人公司
     * @return
     */
    private String issuerCompanyName;
    /**
     * 投资顾问名称
     */
    private String advisorCompanyName;
    /**
     * 管理人名称
     */
    private String trustCompanyName;
    /**
     * 托管机构Id
     */
    private String custodianId;
    /**
     * 基金管理公司Id
     */
    private String trustId;
    /**
     * 备案编码
     */
    private String registerNumber;
    /**
     * 当前是否备案展示：1-是 0-否 -1-不详
     */
    private Integer isAmacShow;
    /**
     * 基金运行状态：1-募集中、2-开放运行、3-封闭运行（已废弃）、4-提前清算、5-到期清算、6-发行失败、7-投顾协议已终止、 8-延期清算 -1-其他 9-非正常清算 10-已终止 11-已作废
     */
    private Integer fundStatus;
    /**
     * 中基协基金类型:1-私募基金(自主备案)，2-期货资管，3-券商资管，4-公募专户 5-证券公司直投基金  6-证券公司私募投资基金 7-基金公司私募投资基金 8-资产支持专项计划 -1-不详
     */
    private Integer amacSourceType;
    /**
     * 监管公示投资类型:1-混合类，2-固定收益类，3-商品及金融衍生品类，4-权益类，5-其他类产品，6-非标类产品，-1-监管未公示
     */
    private Integer investmentType;
    /**
     * 备案日期
     */
    private String registerDate;
    /**
     * 清算日期
     */
    private String liquidateDate;
    /**
     * 开始运作日期
     */
    private String performanceStartDate;
    /**
     * 是否份额基金：1-是 0-否
     */
    private Integer isShareclass;
    /**
     * 创建时间
     */
    private String createTime;
}
